package;

/**
 * ...
 * @author JanGames
 */
class Data
{	
	/**Singleton reference*/
	public static var instance:Data;
	
	/**Player points*/
	public var playerPoints:Int = 0;
	/**Enemy points*/
	public var enemyPoints:Int = 0;

	/**Paddles array reference*/
	public var paddles:Array<Paddle>;
	/**Balls array references*/
	public var balls:Array<Ball>;
	
	public function new()
	{
		//Setup singleton
		if(Data.instance == null) {
			instance = this;
		}
		
		//Init vars
		paddles = new Array();
		balls = new Array();
	}
	
	public function reset()
	{
		//Reset points
		playerPoints = 0;
		enemyPoints = 0;
	}
	
}