package;

import hage.HGE;
import hage.HGESprite;

/**
 * ...
 * @author JanGames
 */
class Paddle extends HGESprite
{
	/**Paddle movement speed*/
	private var speed:Float;
	/**Minimum distance to edge of screen*/
	private var minDistance:Int;
	
	/**Horizontal delta velocity*/
	public var hdelta:Float = 0;

	public function new(X:Float=0, Y:Float=0, Color:UInt=null) 
	{
		super(X, Y, Math.floor(HGE.width / 30), Math.floor(HGE.height / 10), Color, 1);
		
		//Init vars
		lastY = Y;
		speed = Math.floor(HGE.height / 2);
		minDistance = Math.floor(HGE.height / 30);
		
		//Add paddle to data manager
		if(Data.instance != null) {
			Data.instance.paddles.push(this);
		}
	}
	
	override public function update()
	{
		//Get horizontal delta
		hdelta = y - lastY;
		
		super.update();
	}
	
}