package;
import hage.HGE;

/**
 * ...
 * @author JanGames
 */
class EnemyPaddle extends Paddle
{
	/**Ball array reference*/
	private var balls:Array<Ball>;

	public function new(X:Float=0, Y:Float=0) 
	{
		super(X, Y, 0xFFFF0000);
		
		//Get balls
		balls = Data.instance.balls;
	}
	
	override public function update()
	{
		//Follow first ball
		if(balls[0] != null) {
			if (balls[0].y + balls[0].width / 2 > y + width / 2  && y + height < HGE.height - minDistance) { y += speed * HGE.delta; }
			if (balls[0].y + balls[0].width / 2 < y + width / 2 && y > minDistance) { y -= speed * HGE.delta; }
		}
	}
	
}